Bug 809575 - Add support for maven.local.mode
Add support for maven.local.mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tycho (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 12:49 EDT by Alexander Kurtakov
Modified: 2012-07-05 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:30:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-04-03 12:49:41 EDT
Maven in Fedora has a special mode called maven.local.mode which does a few other changes in addition to making it work offline. See http://pkgs.fedoraproject.org/gitweb/?p=maven.git;a=blob;f=0002-Use-custom-resolver.patch;h=0be399cd9585154b39dddb9a2c0d8bdaff5fac10;hb=HEAD 

Something similar should be done to tycho fullfilling the following 2 goals:
* make it resolve locally first but fetch from remote if not found locally - mvn-local call
* make it resolve locally and fail if not found - mvn-rpmbuild
Comment 1 Krzysztof Daniel 2012-04-03 16:44:08 EDT
Tycho upstream would also be interested in that: https://bugs.eclipse.org/bugs/show_bug.cgi?id=369002
Comment 2 Roland Grunberg 2012-06-12 11:54:32 EDT
This is implemented in 0.14.1-5.

Tycho now automatically creates a p2 repository (stored in the current directory from which mvn* is run) and automatically adds it as the first repository for consideration).

If running with mvn-rpmbuild (maven.local.mode and offline mode) then it will resolve from the automatically created repo and any other repo that is available locally.

If running mvn-local (maven.local.mode but not offline) then it will first attempt to resolve from the automatically created repo and if the bundle is not found there, it will resolve from any other specified repos (local or remote).

I will push this to f17, but for now can be tested out from rawhide.
Comment 3 Fedora Update System 2012-06-20 12:32:20 EDT
tycho-0.14.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tycho-0.14.1-5.fc17
Comment 4 Fedora Update System 2012-06-22 04:27:46 EDT
Package tycho-0.14.1-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-0.14.1-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9755/tycho-0.14.1-5.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-05 19:30:08 EDT
tycho-0.14.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.